Announcement - Smartermail Security Update

Dear Valued Customers, 


TLS 1.0 and 1.1 are nearing end of life. 


Smartertools - who is our vendor for all Windows shared hosting webmail (Smartermail) is deprecating support for TLS 1.0 and 1.1 is a result of their need to meet these compliance standards. 


Therefore, as of November 1, 2019, SmarterTools products, websites, servers and  infrastructure will no longer support these legacy encryption methods.


How Does This Impact you?

When you interact with our website and when using products that connect to us, you’ll want to make sure you do so using web browsers and devices that support TLS 1.2 and later. 


Below is a list of these that do NOT fully support TLS 1.2:

  • Chrome 72 and earlier
  • Firefox 5.0 and earlier
  • IE 8 – 10 on Windows 7 and earlier
  • IE 10 on Windows Phone 8
  • Safari 6.0.4/ OS X 10.8.4 and earlier
  • Android 4.3 and earlier


If you’re running those versions, or any versions AFTER those, you will see no impact. 


If you’re running versions earlier than those, you will have problems connecting to our infrastructure as well as using various other servers and services across the internet. 


For example:

  1. In SmarterMail, mail servers such as Office 365 and Yahoo! will start rejecting email if you still attempt to connect using TLS 1.0/1.1, after  those mail servers deprecate their support.
  2. In SmarterTrack, if you’re connecting to something like Office 365 for your POP and/or SMTP accounts, those functions will no longer work once Office 365 deprecates TLS 1.0/1.1.
  3. In SmarterStats, Site Tuning may no longer work properly if you’ve disabled TLS 1.0/1.1 for your site.


If you need further information and clarification this announcement or if you experience difficulties after the implementation, please contact us via support@cybersite.com.sg


Best Regards,


Support Team,
......................................
Technical Department